/**
 *  Betterville Outside Inherit
 *  @author Drakkos
 *  @started 24th of March, 2009
 *
 */

#include "path.h"

inherit "/std/outside";
inherit INHERITS + "betterville_room";

void create() {
  do_setup++;
  outside::create();
  betterville_room::create();
  do_setup--;
  
  set_light (100);
  add_zone ("betterville");
  add_zone ("betterville outside");
  add_item ("betterville", "You better believe it!");

  setup_common_items();
    
  if (!do_setup) {
    this_object()->setup();
    this_object()->reset();
  }
}

int query_outside_betterville() {
  return 1;
}

void event_enter(object ob, string mess, object from) {
  outside::event_enter (ob, mess, from);
  betterville_room::event_enter (ob, mess, from);
}
